Subject: Re: bug#28470: caff in the signing-party package can't find sendmail on GuixSD

From: Christopher Baines <[email-masked]>
Date: Tue, 10 Oct 2017 08:31:32 +0100

On Mon, 09 Oct 2017 23:37:49 +0200
Ricardo Wurmus <[email-masked]> wrote:

> Hi Christopher,
> 
> > When using caff from the signing-tools pacakge, it looks for
> > sendmail in the wrong places [1]. It would be useful to find a way
> > to make it work when installed.
> >
> > I have found a workaround, which is to specify PERL_MAILERS as
> > sendmail:$(type -p sendmail), e.g.:
> >
> >     PERL_MAILERS=sendmail:$(type -p sendmail) caff ...
> >
> > 1: /usr/lib/sendmail;/usr/sbin/sendmail;/usr/ucblib/sendmail  
> 
> What is the expected behaviour here?  Does it *only* work with
> sendmail? Or would any mailer (like msmtp) work?  Should the user’s
> default mailer be used or should we embed a reference to a specific
> mailer?

I don't have any expectations, but ideally, it would work without
specifying this environment variable.

I think approaches other than sendmail are supported [1], but I'm
unsure if that includes msmtp.

1: https://metacpan.org/pod/Mail::Mailer#DESCRIPTION

This is probably more about the Mail::Mailer perl package in the
perl-mailtools package, than caff, that just uses Mail::Mailer.

I spent a bit of time looking at the Mail::Mailer source code when
trying to get caff working, but unfortunately, bits of it are still a
bit cryptic to me.